## python-cobra 0.4.0b2

=== debian/changelog ===
python-cobra (0.4.0b2-1) unstable; urgency=medium

  * Adjust package relationships as requested by upstream
  * Imported Upstream version 0.4.0b2 (Closes: 794978)
  * Require matching version of the data package
  * Configured autopkgtests
  * Allowed tests to run without python-jsonschema
  * Added lintian overrides for python-cobra-data

 -- Afif Elghraoui <afif@ghraoui.name>  Tue, 04 Aug 2015 18:52:51 -0700

python-cobra (0.4.0b1-2) unstable; urgency=medium

  * Add more recommended packages in d/control
  * Add suggestion of jython for python-cobra
  * Really remove jython files from python3-package.
    Thanks to Aaron Ucko for the bug report (Closes: 792058)

 -- Afif Elghraoui <afif@ghraoui.name>  Fri, 10 Jul 2015 18:35:52 -0700

python-cobra (0.4.0b1-1) unstable; urgency=medium

  * Update watch file to pick up alpha and beta releases
  * Imported Upstream version 0.4.0b1
  * Remove obsolete patches
  * Remove copyright statements for files removed upstream
  * Update d/copyright to reflect new upstream dual-licensing and correct
    gpl3 mistake
  * Refine dh_install overrides to exclude jython code from python3 package
  * Add build-dependencies on python(3)-six
  * Disable building of documentation until Sphinx 1.3 is available

 -- Afif Elghraoui <afif@ghraoui.name>  Thu, 09 July 2015 18:12:36 -0700

python-cobra (0.3.2-1) unstable; urgency=medium

  * Initial release (Closes: #788224)
  * Add patches to improve Python3 compatibility
  * Specify copyright for the externally-contributed modules
  * Exclude cobra/test/data/update_pickles.py
  * Create package for data and documentation
  * Use packaged versions of javascript libraries where available

 -- Afif Elghraoui <afif@ghraoui.name>  Tue, 09 Jun 2015 06:20:48 -0700

=== debian/tests/control ===
Test-Command: python -c "from cobra.test import test_all; test_all()"
Depends: python-cobra, python-cobra-data
Restrictions: allow-stderr, needs-recommends

Test-Command: python3 -c "from cobra.test import test_all; test_all()"
Depends: python3-cobra, python-cobra-data
Restrictions: allow-stderr, needs-recommends

## python-cobra 0.5.9

=== documentation_builder/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = ../documentation

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/cobra.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/cobra.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/cobra"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/cobra"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== documentation_builder/requirements.txt ===
nbsphinx>=0.2.4
ipykernel

## python-cobra 0.4.0b6

=== debian/changelog ===
python-cobra (0.4.0b6-1build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 11:45:43 +0000

python-cobra (0.4.0b6-1) unstable; urgency=medium

  * Run autopkgtests from outside the source tree
  * Imported Upstream version 0.4.0b6

 -- Afif Elghraoui <afif@ghraoui.name>  Mon, 21 Dec 2015 21:29:51 -0800

python-cobra (0.4.0b4-1) unstable; urgency=medium

  * Imported Upstream version 0.4.0b4

 -- Afif Elghraoui <afif@ghraoui.name>  Sun, 13 Sep 2015 02:15:32 -0700

python-cobra (0.4.0b3-1) unstable; urgency=medium

  * Imported Upstream version 0.4.0b3
  * Removed patch that was applied upstream
  * Adjusted autopkgtest commands
  * Refreshed quilt patch

 -- Afif Elghraoui <afif@ghraoui.name>  Fri, 28 Aug 2015 22:27:50 -0700

=== debian/control ===
Source: python-cobra
Section: python
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@ghraoui.name>
Build-Depends: debhelper (>= 9),
	       dh-python,
	       python-all,
	       python-all-dev,
	       python-setuptools,
	       python-six,
#	       python-jsonschema (>> 2.5.0),
	       cython,
	       python3-all,
	       python3-all-dev,
	       python3-setuptools,
	       python3-six,
	       cython3,
#	       python3-jsonschema (>> 2.5.0),
	       libglpk-dev
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4
Standards-Version: 3.9.6
Homepage: http://opencobra.github.io/cobrapy/
Vcs-Git: git://anonscm.debian.org/debian-med/python-cobra.git
Vcs-Browser: http://anonscm.debian.org/cgit/debian-med/python-cobra.git


Package: python-cobra
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 ${python:Depends},
	 python-cobra-data (= ${source:Version})
Recommends: python-numpy,
	    python-scipy,
	    libsbml5-python,
	    python-pandas
Suggests: python-matplotlib
Description: constraint-based modeling of biological networks (Python 2)
 COnstraint-Based Reconstruction and Analysis (COBRA) methods are widely
 used for genome-scale modeling of metabolic networks in both prokaryotes
 and eukaryotes. COBRApy is a constraint-based modeling package that is
 designed to accommodate the biological complexity of the next generation
 of COBRA models and provides access to commonly used COBRA methods, such
 as flux balance analysis, flux variability analysis, and gene deletion
 analyses.
 .
 This package provides the Python 2 module.

Package: python3-cobra
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 ${python3:Depends},
	 python-cobra-data (= ${source:Version})
Recommends: python3-numpy,
	    python3-scipy,
	    python3-pandas
Suggests: python3-matplotlib
Description: constraint-based modeling of biological networks (Python 3)
 COnstraint-Based Reconstruction and Analysis (COBRA) methods are widely
 used for genome-scale modeling of metabolic networks in both prokaryotes
 and eukaryotes. COBRApy is a constraint-based modeling package that is
 designed to accommodate the biological complexity of the next generation
 of COBRA models and provides access to commonly used COBRA methods, such
 as flux balance analysis, flux variability analysis, and gene deletion
 analyses.
 .
 This package provides the Python 3 module.

Package: python-cobra-data
Architecture: all
Depends: ${misc:Depends}
Description: constraint-based modeling of biological networks (data)
 COnstraint-Based Reconstruction and Analysis (COBRA) methods are widely
 used for genome-scale modeling of metabolic networks in both prokaryotes
 and eukaryotes. COBRApy is a constraint-based modeling package that is
 designed to accommodate the biological complexity of the next generation
 of COBRA models and provides access to commonly used COBRA methods, such
 as flux balance analysis, flux variability analysis, and gene deletion
 analyses.
 .
 This package provides required and sample data files.

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1
export PYBUILD_NAME=cobra

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	LC_ALL=C.UTF-8 dh $@ --with python2,python3 --buildsystem=pybuild

# Disable building of documentation (see README.source)
#override_dh_auto_build:
#	dh_auto_build
#	$(MAKE) -C documentation_builder html

override_dh_installdocs:
	dh_installdocs -Xexample

override_dh_install:
	dh_install -X update_pickles.py --package=python-cobra-data
	dh_install --remaining-packages

override_dh_auto_clean:
	dh_auto_clean
	rm -f cobra/solvers/cglpk.c

=== debian/tests/control ===
Test-Command: cd $ADTTMP && python -c "from sys import exit; from cobra.test import test_all; exit(test_all())"
Depends: python-cobra, python-cobra-data
Restrictions: allow-stderr, needs-recommends

Test-Command: cd $ADTTMP && python3 -c "from sys import exit; from cobra.test import test_all; exit(test_all())"
Depends: python3-cobra, python-cobra-data
Restrictions: allow-stderr, needs-recommends

=== debian/watch ===
version=3

opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/python-cobra-$1.tar.gz/" \
         https://github.com/opencobra/cobrapy/releases (?:.*/)?v?(\d[\d\.]*[ab][\d])\.tar\.gz

## python-cobra 0.4.0b7

=== debian/changelog ===
python-cobra (0.4.0b7-1) unstable; urgency=medium

  * Imported Upstream version 0.4.0b7
  * Update standards version
  * Run additional tests at build-time
  * Clean up and fix autopkgtest

 -- Afif Elghraoui <afif@ghraoui.name>  Sat, 20 Feb 2016 01:05:24 -0800

=== debian/control ===
--- 
+++ 
@@ -9,18 +9,23 @@
 	       python-all-dev,
 	       python-setuptools,
 	       python-six,
-#	       python-jsonschema (>> 2.5.0),
 	       cython,
 	       python3-all,
 	       python3-all-dev,
 	       python3-setuptools,
 	       python3-six,
 	       cython3,
-#	       python3-jsonschema (>> 2.5.0),
-	       libglpk-dev
+	       libglpk-dev,
+# Test-Depends:
+	python-jsonschema (>> 2.5.0),
+	python-numpy,
+	python-scipy,
+	python3-jsonschema (>> 2.5.0),
+	python3-numpy,
+	python3-scipy,
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.4
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://opencobra.github.io/cobrapy/
 Vcs-Git: git://anonscm.debian.org/debian-med/python-cobra.git
 Vcs-Browser: http://anonscm.debian.org/cgit/debian-med/python-cobra.git
@@ -36,7 +41,9 @@
 	    python-scipy,
 	    libsbml5-python,
 	    python-pandas
-Suggests: python-matplotlib
+Suggests:
+	python-matplotlib,
+	qsopt-ex,
 Description: constraint-based modeling of biological networks (Python 2)
  COnstraint-Based Reconstruction and Analysis (COBRA) methods are widely
  used for genome-scale modeling of metabolic networks in both prokaryotes
@@ -57,7 +64,9 @@
 Recommends: python3-numpy,
 	    python3-scipy,
 	    python3-pandas
-Suggests: python3-matplotlib
+Suggests:
+	python3-matplotlib,
+	qsopt-ex,
 Description: constraint-based modeling of biological networks (Python 3)
  COnstraint-Based Reconstruction and Analysis (COBRA) methods are widely
  used for genome-scale modeling of metabolic networks in both prokaryotes

=== debian/tests/control ===
Test-Command: cd $ADTTMP && python -c "import sys; from cobra.test import test_all; sys.exit(test_all())"
Depends:
	python-cobra,
	python-sbml,
	python-scipy,
	python-numpy,
Restrictions: allow-stderr

Test-Command: cd $ADTTMP && python3 -c "import sys; from cobra.test import test_all; sys.exit(test_all())"
Depends:
	python3-cobra,
	python3-scipy,
	python3-numpy,
Restrictions: allow-stderr

## python-cobra 0.4.2~b1

=== debian/changelog ===
python-cobra (0.4.2~b1-1) unstable; urgency=medium

  * Imported Upstream version 0.4.2~b1
  * Refresh patches
  * Use Make to drive autopkgtests and document some rationale
  * Clean up d/control and d/rules
  * Include jsonschema and pandas to run additional CI tests

 -- Afif Elghraoui <afif@debian.org>  Sun, 17 Jul 2016 16:43:42 -0700

python-cobra (0.4.1-2) unstable; urgency=medium

  * Team upload.
  * Make build reproducible.
    - Ensure stable ordering for required dependencies.
  * Bump Standards-Version.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Wed, 01 Jun 2016 14:47:03 +0000

python-cobra (0.4.1-1) unstable; urgency=medium

  * Imported Upstream version 0.4.1
  * Refreshed patch

 -- Afif Elghraoui <afif@debian.org>  Thu, 24 Mar 2016 20:31:39 -0700

python-cobra (0.4.0+0-1) unstable; urgency=medium

  * Imported Upstream version 0.4.0
  * Add uversionmangle to d/watch
  * Use encrypted protocols for VCS URLs

 -- Afif Elghraoui <afif@ghraoui.name>  Tue, 08 Mar 2016 22:04:56 -0800

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,13 @@
 #!/usr/bin/make -f
+
 #DH_VERBOSE = 1
+#include /usr/share/dpkg/default.mk
+export LC_ALL=C.UTF-8
 export PYBUILD_NAME=cobra
 
-DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/default.mk
 
 %:
-	LC_ALL=C.UTF-8 dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python2,python3 --buildsystem=pybuild
 
 # Disable building of documentation (see README.source)
 #override_dh_auto_build:

## python-cobra 0.5.4

=== debian/changelog ===
python-cobra (0.5.4-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Afif Elghraoui <afif@debian.org>  Fri, 18 Nov 2016 21:54:14 -0800

python-cobra (0.5.4-1) unstable; urgency=medium

  * Imported Upstream version 0.5.4
  * Update upstream contact

 -- Afif Elghraoui <afif@debian.org>  Mon, 07 Nov 2016 20:51:23 -0800

python-cobra (0.5.2-1) unstable; urgency=medium

  * Drop patch applied upstream
  * Imported Upstream version 0.5.2
  * Update docs installation
  * Remove unused lintian overrides

 -- Afif Elghraoui <afif@debian.org>  Fri, 21 Oct 2016 22:57:41 -0700

python-cobra (0.4.2~b1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Afif Elghraoui <afif@debian.org>  Sat, 23 Jul 2016 15:20:47 -0700

python-cobra (0.4.1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Afif Elghraoui <afif@debian.org>  Wed, 30 Mar 2016 23:18:14 -0700

python-cobra (0.4.0+0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Afif Elghraoui <afif@debian.org>  Wed, 16 Mar 2016 00:20:01 -0700

python-cobra (0.4.0b7-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Afif Elghraoui <afif@ghraoui.name>  Sat, 05 Mar 2016 23:59:51 -0800

python-cobra (0.4.0b6-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Afif Elghraoui <afif@ghraoui.name>  Sat, 26 Dec 2015 22:21:17 -0800

python-cobra (0.4.0b4-1~bpo8+2) jessie-backports; urgency=medium

  * Fix Python3 package.

 -- Afif Elghraoui <afif@ghraoui.name>  Wed, 07 Oct 2015 20:59:22 -0700

python-cobra (0.4.0b4-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Afif Elghraoui <afif@ghraoui.name>  Sat, 19 Sep 2015 12:45:29 -0700

python-cobra (0.4.0b3-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Afif Elghraoui <afif@ghraoui.name>  Fri, 04 Sep 2015 19:09:54 -0700

python-cobra (0.4.0b2-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Afif Elghraoui <afif@ghraoui.name>  Sat, 15 Aug 2015 23:34:00 -0700

python-cobra (0.4.0b1-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Afif Elghraoui <afif@ghraoui.name>  Fri, 17 Jul 2015 00:10:40 -0700

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,23 @@
 Section: python
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Afif Elghraoui <afif@ghraoui.name>
-Build-Depends: debhelper (>= 9),
-	       dh-python,
-	       python-all,
-	       python-all-dev,
-	       python-setuptools,
-	       python-six,
-	       cython,
-	       python3-all,
-	       python3-all-dev,
-	       python3-setuptools,
-	       python3-six,
-	       cython3,
-	       libglpk-dev,
+Uploaders: Afif Elghraoui <afif@debian.org>
+Build-Depends:
+	debhelper (>= 9),
+	dh-python,
+	libglpk-dev,
+# Python2
+	python-all,
+	python-all-dev,
+	python-setuptools,
+	python-six,
+	cython,
+# Python3
+	python3-all,
+	python3-all-dev,
+	python3-setuptools,
+	python3-six,
+	cython3,
 # Test-Depends:
 	python-jsonschema (>> 2.5.0),
 	python-numpy,
@@ -23,24 +26,24 @@
 	python3-jsonschema (>> 2.5.0),
 	python3-numpy,
 	python3-scipy,
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.4
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://opencobra.github.io/cobrapy/
-Vcs-Git: git://anonscm.debian.org/debian-med/python-cobra.git
-Vcs-Browser: http://anonscm.debian.org/cgit/debian-med/python-cobra.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/python-cobra.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-cobra.git
 
 
 Package: python-cobra
 Architecture: any
-Depends: ${shlibs:Depends},
-	 ${misc:Depends},
-	 ${python:Depends},
-	 python-cobra-data (= ${source:Version})
-Recommends: python-numpy,
-	    python-scipy,
-	    libsbml5-python,
-	    python-pandas
+Depends:
+	${shlibs:Depends},
+	${misc:Depends},
+	${python:Depends},
+	python-cobra-data (= ${source:Version}),
+Recommends:
+	python-numpy,
+	python-scipy,
+	libsbml5-python,
+	python-pandas,
 Suggests:
 	python-matplotlib,
 	qsopt-ex,
@@ -57,13 +60,15 @@
 
 Package: python3-cobra
 Architecture: any
-Depends: ${shlibs:Depends},
-	 ${misc:Depends},
-	 ${python3:Depends},
-	 python-cobra-data (= ${source:Version})
-Recommends: python3-numpy,
-	    python3-scipy,
-	    python3-pandas
+Depends:
+	${shlibs:Depends},
+	${misc:Depends},
+	${python3:Depends},
+	python-cobra-data (= ${source:Version}),
+Recommends:
+	python3-numpy,
+	python3-scipy,
+	python3-pandas,
 Suggests:
 	python3-matplotlib,
 	qsopt-ex,

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,8 @@
 export LC_ALL=C.UTF-8
 export PYBUILD_NAME=cobra
 
+export PYBUILD_VERSIONS=2.7 3.4
+export PYBUILD_INTERPRETERS=python{version}
 
 %:
 	dh $@ --with python2,python3 --buildsystem=pybuild
@@ -14,9 +16,6 @@
 #	dh_auto_build
 #	$(MAKE) -C documentation_builder html
 
-override_dh_installdocs:
-	dh_installdocs -Xexample
-
 override_dh_install:
 	dh_install -X update_pickles.py --package=python-cobra-data
 	dh_install --remaining-packages

=== debian/tests/control ===
Test-Command:
	export MAKEFILES="$PWD/debian/tests/Makefile";
	cd $ADTTMP && make py2-test
Depends:
	make,
	python-cobra,
	python-jsonschema,
# We could have avoided retyping these by adding the "needs-recommends" restriction, but doing that would also cause matplotlib to be pulled in.
# The tests involving matplotlib fail on debci from trying to do graphical operations on a headless server.
	python-sbml,
	python-scipy,
	python-numpy,
	python-pandas,
Restrictions: allow-stderr

Test-Command:
	export MAKEFILES="$PWD/debian/tests/Makefile";
	cd $ADTTMP && make py3-test
Depends:
	make,
	python3-cobra,
	python3-jsonschema,
# See the comment for the corresponding section in the python2 test above.
	python3-scipy,
	python3-numpy,
	python3-pandas,
Restrictions: allow-stderr

## python-cobra 0.5.9

=== debian/changelog ===
python-cobra (0.5.9-1build2) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 18:40:23 +0000

python-cobra (0.5.9-1build1) artful; urgency=medium

  * No change rebuild to add Python 3.6 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 08 Jun 2017 15:50:34 -0700

python-cobra (0.5.9-1) unstable; urgency=medium

  * New upstream release
  * Refresh patch

 -- Afif Elghraoui <afif@debian.org>  Wed, 25 Jan 2017 01:22:48 -0800

python-cobra (0.5.6-1) unstable; urgency=medium

  * Imported Upstream version 0.5.6
  * Update packaging to accommodate change in test suite framework
    - include a workaround for #846045 (in pytest-benchmark) to be able
      to run tests without pytest-benchmark available.
  * d/tests/Makefile: update test script to accommodate return code change

 -- Afif Elghraoui <afif@debian.org>  Tue, 29 Nov 2016 03:12:24 -0800

=== debian/control ===
--- 
+++ 
@@ -20,6 +20,8 @@
 	python3-six,
 	cython3,
 # Test-Depends:
+	python-pytest,
+	python3-pytest,
 	python-jsonschema (>> 2.5.0),
 	python-numpy,
 	python-scipy,

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,6 @@
 export LC_ALL=C.UTF-8
 export PYBUILD_NAME=cobra
 
-export PYBUILD_VERSIONS=2.7 3.4
-export PYBUILD_INTERPRETERS=python{version}
 
 %:
 	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/tests/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Depends:
 	make,
 	python-cobra,
+	python-pytest,
 	python-jsonschema,
 # We could have avoided retyping these by adding the "needs-recommends" restriction, but doing that would also cause matplotlib to be pulled in.
 # The tests involving matplotlib fail on debci from trying to do graphical operations on a headless server.
@@ -19,6 +20,7 @@
 Depends:
 	make,
 	python3-cobra,
+	python3-pytest,
 	python3-jsonschema,
 # See the comment for the corresponding section in the python2 test above.
 	python3-scipy,

=== debian/watch ===
version=3

opts="uversionmangle=s/(a|b)(\d)$/\~$1$2/,filenamemangle=s/(?:.*\/)v?(\d[\d\.]*[ab]?[\d]?)\.tar\.gz/python\-cobra\-$1.tar.gz/" \
	https://github.com/opencobra/cobrapy/releases \
	(?:.*/)?v?(\d[\d\.]*[ab]?[\d]?)\.tar\.gz

## python-cobra 0.14.1

=== debian/changelog ===
python-cobra (0.14.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Versioned Depends: python3-pipdeptree (>= 0.13.1)
    (see https://github.com/opencobra/cobrapy/issues/780)
    Closes: #916706
  * Add missing Recommends and Test-Depends

 -- Andreas Tille <tille@debian.org>  Tue, 18 Dec 2018 09:42:44 +0100

python-cobra (0.13.4-2) unstable; urgency=medium

  [ Matthias Klose ]
  * Team upload
  * Add python3-pytest-benchmark to the autopkg test dependencies.
    Closes: #912574

  [ Andreas Tille ]
  * Secure URI in copyright format
  * Remove trailing whitespace in debian/changelog

 -- Andreas Tille <tille@debian.org>  Thu, 01 Nov 2018 14:00:10 +0100

python-cobra (0.13.4-1) unstable; urgency=medium

  * Team upload.

  [ Afif Elghraoui ]
  * New upstream version
    Closes: #904709
  * Update dependencies
  * Refresh patch
  * Drop obsolete patch

  [ Andreas Tille ]
  * Standards-Version: 4.2.1
  * Point Vcs-fields to Salsa
  * debhelper 11
  * cme fix dpkg-control
  * Build-Depends: python*-requests, python*-pip
  * Drop failing test TestCobraFluxSampling.test_fixed_seed
  * Rename debian/tests/control to control.autodep8
  * Testsuite: autopkgtest-pkg-python
  * Drop Python2 package since it has no reverse dependencies
    (as well as autopkgtest of Python2 version)
  * Build-Depends: python3-depinfo, python3-pipdeptree
  * Drop failing test: test_show_versions (needs further investigation
    with upstream)
  * Silence lintian about wrong Python version of data file

 -- Andreas Tille <tille@debian.org>  Wed, 17 Oct 2018 21:31:48 +0200

=== debian/control ===
Source: python-cobra
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-python,
               libglpk-dev,
               python3-all,
               python3-all-dev,
               python3-setuptools,
               python3-depinfo,
               python3-future,
               python3-numpy,
               python3-optlang,
               python3-ruamel.yaml,
               python3-pandas (>= 0.17.0),
               python3-pip,
               python3-pipdeptree (>= 0.13.1),
               python3-requests,
               python3-swiglpk,
               python3-tabulate,
               cython3,
# Test-Depends:
               python3-pytest,
               python3-pytest-benchmark,
               python3-jsonschema (>> 2.5.0)
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/med-team/python-cobra
Vcs-Git: https://salsa.debian.org/med-team/python-cobra.git
Homepage: http://opencobra.github.io/cobrapy/

Package: python3-cobra
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python-cobra-data (= ${source:Version})
Recommends: python3-numpy,
            python3-ruamel.yaml,
            python3-pandas (>= 0.17.0),
            python3-simplejson,
            python3-swiglpk,
            python3-tabulate,
Suggests: python3-matplotlib,
          qsopt-ex
Description: constraint-based modeling of biological networks with Python 3
 COnstraint-Based Reconstruction and Analysis (COBRA) methods are widely
 used for genome-scale modeling of metabolic networks in both prokaryotes
 and eukaryotes. COBRApy is a constraint-based modeling package that is
 designed to accommodate the biological complexity of the next generation
 of COBRA models and provides access to commonly used COBRA methods, such
 as flux balance analysis, flux variability analysis, and gene deletion
 analyses.

Package: python-cobra-data
Architecture: all
Depends: ${misc:Depends}
Description: constraint-based modeling of biological networks (data)
 COnstraint-Based Reconstruction and Analysis (COBRA) methods are widely
 used for genome-scale modeling of metabolic networks in both prokaryotes
 and eukaryotes. COBRApy is a constraint-based modeling package that is
 designed to accommodate the biological complexity of the next generation
 of COBRA models and provides access to commonly used COBRA methods, such
 as flux balance analysis, flux variability analysis, and gene deletion
 analyses.
 .
 This package provides required and sample data files.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 # Disable building of documentation (see README.source)
 #override_dh_auto_build:

## python-cobra 0.14.2

=== documentation_builder/requirements.txt ===
Sphinx
sphinxcontrib-napoleon
sphinx-autoapi
nbsphinx>=0.2.4
ipykernel

=== debian/changelog ===
python-cobra (0.14.2-2build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:52:51 +0000

python-cobra (0.14.2-2) unstable; urgency=medium

  * Team upload.
  * Set correct exit return for autopkgtest
    Closes: #912586
  * Remove unused or redundant test dependencies

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Sat, 16 Feb 2019 20:08:53 +0100

python-cobra (0.14.2-1) unstable; urgency=medium

  * Team upload.
  * Do not install __pycache__
  * debhelper 12
  * Standards-Version: 4.3.0
  * rename debian/tests/control.autodep8 to debian/tests/control
  * Enable python3-sbml
  * Build-/Test-Depends: python3-simplejson

 -- Andreas Tille <tille@debian.org>  Mon, 04 Feb 2019 15:12:37 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-python,
                libglpk-dev,
                python3-all,
@@ -17,16 +17,18 @@
                python3-ruamel.yaml,
                python3-pandas (>= 0.17.0),
                python3-pip,
-               python3-pipdeptree (>= 0.13.1),
+               python3-pipdeptree,
                python3-requests,
                python3-swiglpk,
                python3-tabulate,
+               python3-sbml,
+               python3-simplejson,
                cython3,
 # Test-Depends:
                python3-pytest,
                python3-pytest-benchmark,
                python3-jsonschema (>> 2.5.0)
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-cobra
 Vcs-Git: https://salsa.debian.org/med-team/python-cobra.git
 Homepage: http://opencobra.github.io/cobrapy/
@@ -42,7 +44,7 @@
             python3-pandas (>= 0.17.0),
             python3-simplejson,
             python3-swiglpk,
-            python3-tabulate,
+            python3-tabulate
 Suggests: python3-matplotlib,
           qsopt-ex
 Description: constraint-based modeling of biological networks with Python 3

=== debian/tests/control ===
Test-Command:
	export MAKEFILES="$PWD/debian/tests/Makefile";
	cd $ADTTMP && make py3-test
Depends:
	make,
	python3-cobra,
	python3-pytest,
	python3-pytest-benchmark,
	python3-jsonschema,
	python3-scipy,
	python3-sbml5
Restrictions: allow-stderr

## python-cobra 0.21.0

=== documentation_builder/requirements.txt ===
Sphinx~=2.2
sphinxcontrib-napoleon
sphinx-autoapi
nbsphinx>=0.2.4
ipykernel

=== debian/changelog ===
python-cobra (0.21.0-1) unstable; urgency=high

  * Team upload.
  * New upstream version
    Closes: #978032
  * Standards-Version: 4.5.1 (routine-update)
  * No tab in license text (routine-update)
  * watch file standard 4 (routine-update)
  * Build-Depends: python3-appdirs, python3-httpx, python3-pydantic,
    python3-rich
  * Versioned Build-Depends: python3-swiglpk (>= 4.65.1)

 -- Andreas Tille <tille@debian.org>  Tue, 09 Feb 2021 08:43:16 +0100

python-cobra (0.19.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version
  * importlib_resources is not packaged for Debian thus ignore the test that
    needs this module
  * pytest.mark.skip did not worked that way. :-(
  * Really exclude tests requiring importlib_resources

  [ Nilesh Patra ]
  * Do not use python3-all (Closes: #972812)
    - sbml only builds its python extension for the default python
  * xfail test_show_versions which xpass during autopkgtest
  * Adapt data location with new version
  * Rename overrides

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 05 Nov 2020 22:12:34 +0530

python-cobra (0.18.1-2) unstable; urgency=medium

  * Exclude s390x from list of architectures since one test of the test
    suite fails on this architecture and there are no resources to track
    this down.
    Closes: #961224

 -- Andreas Tille <tille@debian.org>  Sat, 08 Aug 2020 14:59:14 +0200

python-cobra (0.18.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 08 Aug 2020 12:04:31 +0200

python-cobra (0.18.0-3) unstable; urgency=medium

  * Team upload
  * Use strong Depends instead of Recommends for several dependent modules
    Closes: #958538

 -- Andreas Tille <tille@debian.org>  Tue, 12 May 2020 08:20:18 +0200

python-cobra (0.18.0-2) unstable; urgency=medium

  * Add missing Dependency from python3-sbml5
    Closes: #958538

 -- Andreas Tille <tille@debian.org>  Sun, 10 May 2020 21:04:49 +0200

python-cobra (0.18.0-1) unstable; urgency=medium

  * Team upload.
  * Drop outdated TODO
  * debhelper-compat 12
  * Standards-Version: 4.5.0 (routine-update)
  * python3-sbml is now python2-sbml5
  * d/control:
     - Build-Depends: python3-matplotlib
       Closes: #955656
     - Use nocheck
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * debian/tests/control: s/ADTTMP/AUTOPKGTEST_TMP/

 -- Andreas Tille <tille@debian.org>  Mon, 20 Apr 2020 19:11:22 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,10 @@
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                libglpk-dev,
-               python3-all,
-               python3-all-dev,
+               python3-dev,
                python3-setuptools,
                python3-depinfo,
                python3-future,
@@ -19,32 +18,40 @@
                python3-pip,
                python3-pipdeptree,
                python3-requests,
-               python3-swiglpk,
+               python3-swiglpk (>= 4.65.1),
                python3-tabulate,
-               python3-sbml,
+               python3-sbml5,
                python3-simplejson,
                cython3,
-# Test-Depends:
-               python3-pytest,
-               python3-pytest-benchmark,
-               python3-jsonschema (>> 2.5.0)
-Standards-Version: 4.3.0
+               python3-pytest <!nocheck>,
+               python3-pytest-benchmark <!nocheck>,
+               python3-jsonschema (>> 2.5.0) <!nocheck>,
+               libsbml5 <!nocheck>,
+               python3-matplotlib <!nocheck>,
+               python3-appdirs <!nocheck>,
+               python3-diskcache <!nocheck>,
+               python3-httpx <!nocheck>,
+               python3-pydantic <!nocheck>,
+               python3-rich <!nocheck>
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/python-cobra
 Vcs-Git: https://salsa.debian.org/med-team/python-cobra.git
-Homepage: http://opencobra.github.io/cobrapy/
+Homepage: https://opencobra.github.io/cobrapy/
+Rules-Requires-Root: no
 
 Package: python3-cobra
-Architecture: any
+Architecture: any-amd64 arm64 armel armhf any-i386 mips mips64el mipsel ppc64el alpha hppa m68k powerpc powerpcspe ppc64 sh4 sparc64 x32
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python3:Depends},
-         python-cobra-data (= ${source:Version})
-Recommends: python3-numpy,
-            python3-ruamel.yaml,
-            python3-pandas (>= 0.17.0),
-            python3-simplejson,
-            python3-swiglpk,
-            python3-tabulate
+         python-cobra-data (= ${source:Version}),
+         python3-numpy,
+         python3-ruamel.yaml,
+         python3-pandas (>= 0.17.0),
+         python3-simplejson,
+         python3-swiglpk,
+         python3-tabulate,
+         python3-sbml5
 Suggests: python3-matplotlib,
           qsopt-ex
 Description: constraint-based modeling of biological networks with Python 3

=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Test-Command:
 	export MAKEFILES="$PWD/debian/tests/Makefile";
-	cd $ADTTMP && make py3-test
+	cd $AUTOPKGTEST_TMP && make py3-test
 Depends:
 	make,
 	python3-cobra,

=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version=3
+version=4
 
 opts="uversionmangle=s/(a|b)(\d)$/\~$1$2/,filenamemangle=s/(?:.*\/)v?(\d[\d\.]*[ab]?[\d]?)\.tar\.gz/python\-cobra\-$1.tar.gz/" \
 	https://github.com/opencobra/cobrapy/releases \

## python-cobra 0.23.0

=== debian/changelog ===
python-cobra (0.23.0-1build1) jammy; urgency=medium

  * Rebuild against new httpx 0.22.0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 05 Mar 2022 20:39:24 +0100

python-cobra (0.23.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 19 Feb 2022 08:53:02 +0100

python-cobra (0.22.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Nilesh Patra <nilesh@debian.org>  Mon, 23 Aug 2021 00:54:10 +0530

python-cobra (0.22.0-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 0.22.0
  * Refresh patches

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Aug 2021 19:37:28 +0530

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python3-numpy,
                python3-optlang,
                python3-ruamel.yaml,
-               python3-pandas (>= 0.17.0),
+               python3-pandas,
                python3-pip,
                python3-pipdeptree,
                python3-requests,
@@ -25,7 +25,7 @@
                cython3,
                python3-pytest <!nocheck>,
                python3-pytest-benchmark <!nocheck>,
-               python3-jsonschema (>> 2.5.0) <!nocheck>,
+               python3-jsonschema <!nocheck>,
                libsbml5 <!nocheck>,
                python3-matplotlib <!nocheck>,
                python3-appdirs <!nocheck>,
@@ -33,7 +33,7 @@
                python3-httpx <!nocheck>,
                python3-pydantic <!nocheck>,
                python3-rich <!nocheck>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-cobra
 Vcs-Git: https://salsa.debian.org/med-team/python-cobra.git
 Homepage: https://opencobra.github.io/cobrapy/
@@ -47,7 +47,7 @@
          python-cobra-data (= ${source:Version}),
          python3-numpy,
          python3-ruamel.yaml,
-         python3-pandas (>= 0.17.0),
+         python3-pandas,
          python3-simplejson,
          python3-swiglpk,
          python3-tabulate,

## python-cobra 0.26.2

=== documentation_builder/requirements.txt ===
Sphinx~=5.3
sphinxcontrib-napoleon
sphinx-autoapi
nbsphinx>=0.2.4
ipykernel

=== debian/changelog ===
python-cobra (0.26.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.26.2
  * d/t/run-unit-test: avoid interfering with user's home.
  * d/python-cobra-data.lintian-overrides: update overrides.

 -- Étienne Mollier <emollier@debian.org>  Sun, 05 Feb 2023 22:14:10 +0100

python-cobra (0.26.0-3) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.6.2 (routine-update)
  * Fix AttributeError: module 'numpy' has no attribute 'float'
    Closes: #1027252

 -- Andreas Tille <tille@debian.org>  Thu, 29 Dec 2022 13:03:36 +0100

python-cobra (0.26.0-2) UNRELEASED; urgency=medium

  * Team upload.

 -- Andreas Tille <tille@debian.org>  Thu, 29 Dec 2022 12:33:19 +0100

python-cobra (0.26.0-1) unstable; urgency=medium

  [ Étienne Mollier ]
  * Team upload.
  * New upstream version

  [ Andreas Tille ]
  * Build-Depends: python3-importlib-resources, python3-pytest-mock
  * Standards-Version: 4.6.1 (routine-update)
  * Ignore tests accessing remote locations
  * Fix watch file
  * Since python3-sbml5 can only deal with one Python3 version we
    restrict the test to default Python3

  [ Nilesh Patra ]
  * Add patch to fix build

 -- Andreas Tille <tille@debian.org>  Thu, 24 Nov 2022 09:06:25 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Afif Elghraoui <afif@debian.org>
 Section: python
-Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
@@ -11,6 +10,7 @@
                python3-setuptools,
                python3-depinfo,
                python3-future,
+               python3-importlib-resources,
                python3-numpy,
                python3-optlang,
                python3-ruamel.yaml,
@@ -25,6 +25,7 @@
                cython3,
                python3-pytest <!nocheck>,
                python3-pytest-benchmark <!nocheck>,
+               python3-pytest-mock <!nocheck>,
                python3-jsonschema <!nocheck>,
                libsbml5 <!nocheck>,
                python3-matplotlib <!nocheck>,
@@ -33,7 +34,7 @@
                python3-httpx <!nocheck>,
                python3-pydantic <!nocheck>,
                python3-rich <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/python-cobra
 Vcs-Git: https://salsa.debian.org/med-team/python-cobra.git
 Homepage: https://opencobra.github.io/cobrapy/
@@ -66,6 +67,7 @@
 Package: python-cobra-data
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: constraint-based modeling of biological networks (data)
  COnstraint-Based Reconstruction and Analysis (COBRA) methods are widely
  used for genome-scale modeling of metabolic networks in both prokaryotes

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,9 @@
 override_dh_install:
 	dh_install -X update_pickles.py --package=python-cobra-data
 	dh_install --remaining-packages
+	find debian -name __pycache__ | xargs rm -rf
 
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -f cobra/solvers/cglpk.c
+	rm -rf .pytest_cache

## python-cobra 0.29.0

=== debian/changelog ===
python-cobra (0.29.0-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:28:02 +1100

python-cobra (0.29.0-1ubuntu1) noble; urgency=medium

  * Replace libsbml5 with libsbml5t64 in Build-Depends.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 25 Mar 2024 14:43:23 +1300

python-cobra (0.29.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * remove extraneous dependency on python3-future
    Closes: #1058070

 -- Andreas Tille <tille@debian.org>  Tue, 12 Dec 2023 16:57:31 +0100

python-cobra (0.26.3-2) unstable; urgency=medium

  * Team Upload.
  * Add patch to skip a test on 32-bit

 -- Nilesh Patra <nilesh@debian.org>  Wed, 20 Sep 2023 19:50:59 +0530

python-cobra (0.26.3-1) unstable; urgency=medium

  [ Étienne Mollier ]
  * Team upload.
  * New upstream version 0.26.3
  * mathjax.patch: unfuzz.
  * do-not-seek-for-name.patch: unfuzz.
  * numpy_1.24.patch: delete; applied upstream.
  * d/control: remove dependency on obsolete package version.

  [ Nilesh Patra ]
  * Add Versioned B-D on optlang and swiglpk
    (Closes: #1042310)

 -- Nilesh Patra <nilesh@debian.org>  Fri, 15 Sep 2023 23:50:34 +0530

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Source: python-cobra
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Afif Elghraoui <afif@debian.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                libglpk-dev,
                python3-dev,
                python3-setuptools,
                python3-depinfo,
-               python3-future,
                python3-importlib-resources,
                python3-numpy,
-               python3-optlang,
+               python3-optlang (>= 1.7.0-1~),
                python3-ruamel.yaml,
                python3-pandas,
                python3-pip,
                python3-pipdeptree,
                python3-requests,
-               python3-swiglpk (>= 4.65.1),
+               python3-swiglpk (>= 5.0.8-1~),
                python3-tabulate,
                python3-sbml5,
                python3-simplejson,
@@ -27,7 +27,7 @@
                python3-pytest-benchmark <!nocheck>,
                python3-pytest-mock <!nocheck>,
                python3-jsonschema <!nocheck>,
-               libsbml5 <!nocheck>,
+               libsbml5t64 <!nocheck>,
                python3-matplotlib <!nocheck>,
                python3-appdirs <!nocheck>,
                python3-diskcache <!nocheck>,
@@ -66,8 +66,8 @@
 
 Package: python-cobra-data
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
-Multi-Arch: foreign
 Description: constraint-based modeling of biological networks (data)
  COnstraint-Based Reconstruction and Analysis (COBRA) methods are widely
  used for genome-scale modeling of metabolic networks in both prokaryotes

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 # Disable building of documentation (see README.source)
 #override_dh_auto_build:
